Subject: Re: bug#21432: 25.0.50; file-notify-rm-watch (inotify) errors if watched dir is deleted

From: Michael Albinus <[email-masked]>
Date: Sun, 13 Sep 2015 21:23:46 +0200

Michael Albinus <[email-masked]> writes:

>> So I think having a validation function is a good idea.
>
> Yes. I've started to write a prototype for inotify.c, will show when it
> works (slow progress, you know :-( )

I've committed a patch to the trunk, adding `file-notify-valid-p' and
its native implementations in inotify.c and tramp.el. Comments welcome.

I know, documentation in the elisp manual is missing. I'll add it later,
and also the native implementation in gfilenotify.c.

Test cases, anywhere?

Best regards, Michael.